:root {
    --bg-dark: #000;
    --text-white: #fff;
    --orange-red: #F9804B;
    --orange: #FE9013;
    --yellow: #FFEE2E;
    --green: #4B9200;
    --red: #D31414;
    --text-color: #333B41;
    --text-black: #000;
    --orange-gradient: linear-gradient(113.96deg, #F9804B 1.49%, #FE9013 101.44%);
    --orange-gradient-hover: linear-gradient(113.96deg, #FE9013 1.49%, #FE9013 101.44%);
}

.red {
    border: solid 2px red;
}

html {
    scroll-behavior: smooth;
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    font-family: Roboto;
    color: var(--text-color);
}

a {
    text-decoration: none;
}

li {
    list-style: none;
}

.container {
    max-width: 1160px;
    margin: 0 auto;
}

.header {
    height: 80px;
    background: var(--bg-dark);
}

h1 {
    margin: 0;
}

.logo {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 82px;
    height: 52px;
    color: var(--text-white);
    font-weight: 400;
    font-size: 19px;
    line-height: 115%;
    text-align: center;
    border: 1px solid #FFF;
    background-image: url('../../assets/icons/bamboo.svg');
    background-size: 7px 20px;
    background-repeat: no-repeat;
    background-position: 11px 23px;
}

.header-container {
    padding-top: 14px;
    display: flex;
    align-items: center;
}

.nav {
    margin-left: 63px;
}

.nav-list {
    display: flex;
    justify-content: space-between;
    width: 472px;
}

.nav-item {
    font-size: 16px;
    color: var(--text-white);
    transition: .3s;
}

.nav-item.active {
    color: var(--orange-red);
}

.nav-item:hover {
    color: var(--orange-red);
}

.nav-item:active {
    color: var(--green);
}

.designed {
    margin-left: auto;
}

.container-watch {
    padding-top: 12px;
    height: 390px;
    background-image: url('../../assets/images/panda.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center -80px;
}

.btn {
    width: 298px;
    height: 54px;
    cursor: pointer;
    position: relative;
    font-family: inherit;
    overflow: hidden;
    transition: all .5s;
    border: 0;
    border-radius: 25px;
    font-weight: 500;
    font-size: 16px;
    line-height: 140%;
    text-align: center;
    text-transform: uppercase;
    color: var(--text-white);
    background: var(--orange-gradient);
}

.btn:hover {
    background: var(--orange-gradient-hover);
}

.btn:active {
    background: var(--green);
}

h2 {
    font-weight: 400;
    font-size: 36px;
    line-height: 130%;
    color: var(--text-white);
}

.container-pick {
    height: 1482px;
    padding-top: 40px;
    padding-bottom: 180px;
    background: linear-gradient(315.75deg, rgba(254, 210, 144, 0.7) 30.06%, #FEBDAB 100.95%, rgba(254, 210, 144, 0.7) 106.36%), linear-gradient(315.75deg, rgba(254, 189, 171, 0.74) 30.06%, rgba(243, 169, 248, 0.66) 50.74%, #E0D8F0 80.49%, #EAF7FE 127.9%, #EAF7FE 149.54%), linear-gradient(315.75deg, rgba(254, 189, 171, 0.74) 30.06%, rgba(243, 169, 248, 0.66) 50.74%, #E0D8F0 80.49%, #EAF7FE 127.9%, #EAF7FE 149.54%);
}

.pick-about {
    margin-top: 10px;
    font-weight: 500;
    font-size: 16px;
    line-height: 140%;
    color: var(--text-white);
}

.donation-info {
    margin-top: 40px;
    font-weight: 400;
    font-size: 36px;
    line-height: 130%;
    color: var(--orange);
}

.pick-frame {
    margin-top: 60px;
    height: 964px;
    padding-left: 92px;
    padding-right: 92px;
    background: rgba(253, 253, 255, 0.52);
    backdrop-filter: blur(2px);
    border-radius: 20px;
}

.pick-title {
    padding-top: 40px;
    text-align: center;
    font-weight: 400;
    font-size: 48px;
    line-height: 120%;
    color: var(--orange);
}

.pick-text1 {
    padding-top: 20px;
    font-weight: 400;
    font-size: 24px;
    line-height: 120%;
}

.pick-grid {
    margin: 100px auto 48px auto;
    width: 532px;
    height: 246px;
    display: grid;
    grid-template-columns: 170px 14px 284px;
}

.quantity {
    margin-top: 108px;
}

.multiply {
    margin-top: 133px;
}

.panda-icon {
    margin-left: 64px;
}

.pick-quantity {
    font-weight: 500;
    font-size: 72px;
    line-height: 80%;
    text-align: center;
    text-transform: uppercase;
    color: #000;
}

.diet-info {
    margin-top: 11px;
    font-weight: 400;
    font-size: 16px;
    line-height: 140%;
    text-align: center;
    color: #333B41;
}

.pick-amount {
    padding-left: 4px;
    font-weight: 400;
    font-size: 16px;
    line-height: 140%;
    color: #000;
}

form {
    text-align: center;
}


.box-input-quantity {
    margin-top: 50px;
    margin-bottom: 25px;
    margin-left: auto;
    margin-right: auto;
    width: 268px;
    height: 54px;
    position: relative;
    font-family: inherit;
    font-weight: 400;
    font-size: 16px;
    line-height: 140%;
    color: #BDBDBD;

}

.input-quantity {
    width: 268px;
    height: 54px;
    padding-left: 9px;
    padding-top: 16px;
    padding-bottom: 16px;
    background-color: rgba(0, 0, 0, 0);
    border: solid 1px #929699;
    font-family: inherit;
    font-weight: 400;
    font-size: 16px;
    line-height: 140%;
    color: #BDBDBD;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button
{
    -webkit-appearance: none;
    margin: 0;
}

input[type=number]
{
    -moz-appearance: textfield;
}

.input-dollar {
    position: absolute;
    right: 10px;
    top: 17px;
    font-size: 20px;
    font-weight: 800;
}

.input-quantity::placeholder {
    font-family: inherit;
    font-weight: 400;
    font-size: 16px;
    line-height: 140%;
    color: #929699;
}

.btn-center {
    text-align: center;
}

.btn-pick {
    margin-top: 30px;
    margin-bottom: 30px;
}

.pick-share {
    text-align: center;
    font-weight: 400;
    font-size: 16px;
    line-height: 140%;
    color: #333B41;
}

.footer {
    height: 443px;
    background-color: #111115;
}

.footer-grid {
    padding-top: 38px;
    display: grid;
    grid-template-columns: 350px 420px 393px;
    grid-template-rows: 120px 100px 180px;
    grid-template-areas:
        "logo logo subscribe"
        "donate donate donate"
        "social nav rights";
}

.footer-logo {
    grid-area: logo;
}

.subscribe {
    margin-left: 22px;
    grid-area: subscribe;
    display: flex;
    flex-direction: column;
}

.subscribe-text {
    font-weight: 400;
    font-size: 24px;
    line-height: 120%;
    color: #FFF;
}

.input {
    margin-top: 14px;
    width: 228px;
    height: 42px;
    padding-left: 10px;
    font-family: inherit;
    font-weight: 400;
    font-size: 16px;
    line-height: 140%;
    color: #BDBDBD;
    background-color: rgba(0, 0, 0, 0);
    border: solid 1px var(--orange);
}

.input:active {
    border-color: var(--green);
}

.input:invalid  {
    color: var(--red);
    border-color: var(--red);
}

::placeholder {
    font-family: inherit;
    font-weight: 400;
    font-size: 16px;
    line-height: 140%;
    color: #BDBDBD;
}

.footer-btn {
    margin-left: 10px;
    width: 129px;
    height: 42px;
    cursor: pointer;
    position: relative;
    font-family: inherit;
    overflow: hidden;
    transition: all .5s;
    font-weight: 400;
    line-height: 140%;
    color: #000;
    background: #F1F3F2;
    border: 1px solid #333B41;
    border-radius: 5px;
}

.footer-btn:hover {
    background: #F1F3F2;
    color: var(--green);
    border-color: var(--green);
}

.footer-btn:active {
    background: #F1F3F2;
    color: var(--green);
    border-color: var(--green);
}

.input:invalid ~ .footer-btn {
    color: var(--red);
    border-color: var(--red);
}

.donate {
    grid-area: donate;
}

.btn-donate {
    border-radius: 5px;
}

.social {
    display: flex;
    flex-direction: column;
}

.social-item {
    width: 150px;
    margin-bottom: 10px;
    display: flex;
    align-items: center;
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 140%;
    color: #FFF;
}

.social-item:hover {
    transition: all .5s;
    color: var(--green);
}

.social-item-ico {
    margin-right: 12px;
    width: 26px;
    height: 26px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(196, 196, 196, 0.5);
    border-radius: 100%;
}

.footer-nav {
    grid-area: nav;
}

.footer-nav {
    margin-top: 57px;
    margin-left: 25px;
    width: 362px;
}

.rights {
    grid-area: rights;
    margin-top: 82px;
    margin-left: 162px;
}

.rights-p {
    margin-bottom: 10px;
    font-weight: 100;
    font-size: 16px;
    line-height: 130%;
    color: #FFF;
}
